메인 콘텐츠로 건너뛰기
GET
/
v2
/
dex
DEX - 목록
curl --request GET \
  --url https://api.chainstream.io/v2/dex \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "chain": "sol",
      "image": "https://example.com/dex-logo.png",
      "programAddress": "whirLbMiicVdio4qvUfM5KAg6Ct8VwpYzGff3uctyCc",
      "protocolFamily": "Raydium"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

Documentation Index

Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt

Use this file to discover all available pages before exploring further.

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

쿼리 매개변수

cursor
string

페이지네이션 커서

limit
integer<int64>
기본값:20

페이지당 결과 수

direction
enum<string>
기본값:next

페이지네이션 방향

사용 가능한 옵션:
next,
prev
chains
string[]

블록체인 네트워크별 필터링

dexProgram
string

DEX 프로그램 주소별 필터링

응답

200 - application/json

성공 응답

범용 페이지네이션 응답

data
object[]
필수

페이지 데이터

endCursor
string | null

현재 페이지 끝 커서

예시:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

다음 페이지 존재 여부

예시:

false

hasPrev
boolean

이전 페이지 존재 여부

예시:

false

startCursor
string | null

현재 페이지 시작 커서

예시:

"eyJpZCI6InN0YXJ0In0="